routes/web.php
<?php

use App\Http\Controllers\DosenController;
use App\Http\Controllers\JadwalController;
use App\Http\Controllers\MahasiswaController;
use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/', function () {
    return view('welcome');
});

Route::resource('dosen', DosenController::class);
Route::resource('mahasiswa', MahasiswaController::class);
Route::resource('jadwal', JadwalController::class);

app/Models/Dosen.php
<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Dosen extends Model
{
    use HasFactory;

    protected $fillable = [
        'nama',
        'nidn',
        'alamat',
        'kontak',
    ];
}

app/Models/Jadwal.php
<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Jadwal extends Model
{
    use HasFactory;

    protected $fillable = [
        'mahasiswa_id',
        'dosen_id',
        'judul',
        'deskripsi',
        'awal',
        'akhir',
    ];

    public function getDosen()
    {
        return $this->hasOne('App\Models\Dosen', 'id', 'dosen_id');
    }

    public function getMahasiswa()
    {
        return $this->hasOne('App\Models\Mahasiswa', 'id', 'mahasiswa_id');
    }
}

app/Models/Mahasiswa.php
<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Mahasiswa extends Model
{
    use HasFactory;
    
    protected $fillable = [
        'nama',
        'nim',
        'tanggal_lahir',
        'alamat',
        'tahun_masuk',
    ];
}

app/Models/User.php
<?php

namespace App\Models;

use Illuminate\Contracts\Auth\MustVerifyEmail;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Foundation\Auth\User as Authenticatable;
use Illuminate\Notifications\Notifiable;

class User extends Authenticatable
{
    use HasFactory, Notifiable;

    /**
     * The attributes that are mass assignable.
     *
     * @var array
     */
    protected $fillable = [
        'name',
        'email',
        'password',
    ];

    /**
     * The attributes that should be hidden for arrays.
     *
     * @var array
     */
    protected $hidden = [
        'password',
        'remember_token',
    ];

    /**
     * The attributes that should be cast to native types.
     *
     * @var array
     */
    protected $casts = [
        'email_verified_at' => 'datetime',
    ];
}

app/Http/Controllers/Controller.php
<?php

namespace App\Http\Controllers;

use Illuminate\Foundation\Auth\Access\AuthorizesRequests;
use Illuminate\Foundation\Bus\DispatchesJobs;
use Illuminate\Foundation\Validation\ValidatesRequests;
use Illuminate\Routing\Controller as BaseController;

class Controller extends BaseController
{
    use AuthorizesRequests, DispatchesJobs, ValidatesRequests;
}

app/Http/Controllers/DosenController.php
<?php

namespace App\Http\Controllers;

use App\Models\Dosen;
use Illuminate\Http\Request;

class DosenController extends Controller
{
    public function index()
    {
        $dosens = Dosen::latest()->simplePaginate(5);

        return view('dosen.index',compact('dosens'))
            ->with('i', (request()->input('page', 1) - 1) * 5);
    }
 
    public function create()
    {
        return view('dosen.create');
    }
 
    public function store(Request $request)
    {
        $request->validate([
            'nama' => 'required',
            'nidn' => 'required',
            'alamat' => 'required',
            'kontak' => 'required'
        ]);
 
        Dosen::create($request->all());
 
        return redirect()->route('dosen.index')
                        ->with('success','Dosen created successfully.');
    }
 
    public function show(Dosen $dosen)
    {
        return view('dosen.show',compact('dosen'));
    }
 
    public function edit(Dosen $dosen)
    {
        return view('dosen.edit',compact('dosen'));
    }
 
    public function update(Request $request, Dosen $dosen)
    {
        $request->validate([
            'nama' => 'required',
            'nidn' => 'required',
            'alamat' => 'required',
            'kontak' => 'required'
        ]);
 
        $dosen->update($request->all());
 
        return redirect()->route('dosen.index')
                        ->with('success','Dosen updated successfully');
    }
 
    public function destroy(Dosen $dosen)
    {
        $dosen->delete();
 
        return redirect()->route('dosen.index')
                        ->with('success','Dosen deleted successfully');

    }
}

app/Http/Controllers/JadwalController.php
<?php

namespace App\Http\Controllers;

use App\Models\Jadwal;
use Illuminate\Http\Request;

class JadwalController extends Controller
{
    public function index()
    {
        $jadwals = Jadwal::latest()->simplePaginate(5);
 
        return view('jadwal.index',compact('jadwals'))
            ->with('i', (request()->input('page', 1) - 1) * 5);
    }
 
    public function create()
    {
        return view('jadwal.create');
    }
 
    public function store(Request $request)
    {
        $request->validate([
            'mahasiswa_id' => 'required',
            'dosen_id' => 'required',
            'judul' => 'required',
            'deskripsi' => 'required',
            'awal' => 'required',
            'akhir' => 'required',
        ]);
 
        Jadwal::create($request->all());
 
        return redirect()->route('jadwal.index')
                        ->with('success','Jadwal created successfully.');
    }
 
    public function show(Jadwal $jadwal)
    {
        return view('jadwal.show',compact('jadwal'));
    }
 
    public function edit(Jadwal $jadwal)
    {
        return view('jadwal.edit',compact('jadwal'));
    }
 
    public function update(Request $request, Jadwal $jadwal)
    {
        $request->validate([
            'mahasiswa_id' => 'required',
            'dosen_id' => 'required',
            'judul' => 'required',
            'deskripsi' => 'required',
            'awal' => 'required',
            'akhir' => 'required',
        ]);
 
        $jadwal->update($request->all());
 
        return redirect()->route('jadwal.index')
                        ->with('success','Jadwal updated successfully');
    }
 
    public function destroy(Jadwal $jadwal)
    {
        $jadwal->delete();
 
        return redirect()->route('jadwal.index')
                        ->with('success','Jadwal deleted successfully');

    }
}

app/Http/Controllers/MahasiswaController.php
<?php

namespace App\Http\Controllers;

use App\Models\Mahasiswa;
use Illuminate\Http\Request;

class MahasiswaController extends Controller
{
    public function index()
    {
        $mahasiswas = Mahasiswa::latest()->simplePaginate(5);
 
        return view('mahasiswa.index',compact('mahasiswas'))
            ->with('i', (request()->input('page', 1) - 1) * 5);
    }
 
    public function create()
    {
        return view('mahasiswa.create');
    }
 
    public function store(Request $request)
    {
        $request->validate([
            'nama' => 'required',
            'nim' => 'required',
            'tanggal_lahir' => 'required',
            'alamat' => 'required',
            'tahun_masuk' => 'required',
        ]);
 
        Mahasiswa::create($request->all());
 
        return redirect()->route('mahasiswa.index')
                        ->with('success','Mahasiswa created successfully.');
    }
 
    public function show(Mahasiswa $mahasiswa)
    {
        return view('mahasiswa.show',compact('mahasiswa'));
    }
 
    public function edit(Mahasiswa $mahasiswa)
    {
        return view('mahasiswa.edit',compact('mahasiswa'));
    }
 
    public function update(Request $request, Mahasiswa $mahasiswa)
    {
        $request->validate([
            'nama' => 'required',
            'nim' => 'required',
            'tanggal_lahir' => 'required',
            'alamat' => 'required',
            'tahun_masuk' => 'required',
        ]);
 
        $mahasiswa->update($request->all());
 
        return redirect()->route('mahasiswa.index')
                        ->with('success','Mahasiswa updated successfully');
    }
 
    public function destroy(Mahasiswa $mahasiswa)
    {
        $mahasiswa->delete();
 
        return redirect()->route('mahasiswa.index')
                        ->with('success','Mahasiswa deleted successfully');

    }
}

resources/views/app.blade.php
<!DOCTYPE html>
<html>
<head>
    <title>Appointment</title>
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/css/bootstrap.min.css">
</head>
<body>
 
<div class="container">
    @yield('content')
</div>
 
</body>
</html>

resources/views/dosen/create.blade.php
@extends('app')
 
@section('content')
<div class="row mt-5 mb-5">
    <div class="col-lg-12 margin-tb">
        <div class="float-left">
            <h2>Create Dosen</h2>
        </div>
        <div class="float-right">
            <a class="btn btn-secondary" href="{{ route('dosen.index') }}"> Back</a>
        </div>
    </div>
</div>
 
@if ($errors->any())
    <div class="alert alert-danger">
        <strong>Whoops!</strong> There were some problems with your input.<br><br>
        <ul>
            @foreach ($errors->all() as $error)
                <li>{{ $error }}</li>
            @endforeach
        </ul>
    </div>
@endif
 
<form action="{{ route('dosen.store') }}" method="POST">
    @csrf
 
     <div class="row">
     <div class="col-xs-12 col-sm-12 col-md-12">
        <div class="form-group">
                <strong>Nama:</strong>
                <input type="text" name="nama" class="form-control" placeholder="Nama">
            </div>
        </div>
        <div class="col-xs-12 col-sm-12 col-md-12">
            <div class="form-group">
                <strong>NIDN:</strong>
                <input type="text" name="nidn" class="form-control" placeholder="NIDN">
            </div>
        </div>
        <div class="col-xs-12 col-sm-12 col-md-12">
            <div class="form-group">
                <strong>Kontak:</strong>
                <input type="text" name="kontak" class="form-control" placeholder="Kontak">
            </div>
        </div>
        <div class="col-xs-12 col-sm-12 col-md-12">
            <div class="form-group">
                <strong>Alamat:</strong>
                <textarea class="form-control" style="height:150px"  placeholder="Alamat" name="alamat">
                </textarea>
            </div>
        </div>
        <div class="col-xs-12 col-sm-12 col-md-12 text-center">
            <button type="submit" class="btn btn-primary">Submit</button>
        </div>
    </div>
 
</form>
@endsection

resources/views/dosen/edit.blade.php
@extends('app')
 
@section('content')
    <div class="row mt-5 mb-5">
        <div class="col-lg-12 margin-tb">
            <div class="float-left">
                <h2>Edit Dosen</h2>
            </div>
            <div class="float-right">
                <a class="btn btn-secondary" href="{{ route('dosen.index') }}"> Back</a>
            </div>
        </div>
    </div>
 
    @if ($errors->any())
        <div class="alert alert-danger">
            <strong>Whoops!</strong> There were some problems with your input.<br><br>
            <ul>
                @foreach ($errors->all() as $error)
                    <li>{{ $error }}</li>
                @endforeach
            </ul>
        </div>
    @endif
 
    <form action="{{ route('dosen.update',$dosen->id) }}" method="POST">
        @csrf
        @method('PUT')
 
         <div class="row">
            <div class="col-xs-12 col-sm-12 col-md-12">
                <div class="form-group">
                    <strong>Nama:</strong>
                    <input type="text" name="nama" value="{{ $dosen->nama }}" class="form-control" placeholder="Nama">
                </div>
            </div>
            <div class="col-xs-12 col-sm-12 col-md-12">
                <div class="form-group">
                    <strong>NIDN:</strong>
                    <input type="text" name="nidn" value="{{ $dosen->nidn }}" class="form-control" placeholder="NIDN">
                </div>
            </div>
            <div class="col-xs-12 col-sm-12 col-md-12">
                <div class="form-group">
                    <strong>Kontak:</strong>
                    <input type="text" name="kontak" value="{{ $dosen->kontak }}" class="form-control" placeholder="Kontak">
                </div>
            </div>
            <div class="col-xs-12 col-sm-12 col-md-12">
                <div class="form-group">
                    <strong>Alamat:</strong>
                    <textarea class="form-control" style="height:150px" name="alamat" placeholder="Content">{{ $dosen->alamat }}</textarea>
                </div>
            </div>
            <div class="col-xs-12 col-sm-12 col-md-12 text-center">
              <button type="submit" class="btn btn-primary">Update</button>
            </div>
        </div>
 
    </form>
@endsection

resources/views/dosen/index.blade.php
@extends('app')
 
@section('content')
    <div class="row mt-5 mb-5">
        <div class="col-lg-12 margin-tb">
            <div class="float-left">
                <h2>Dosen </h2>
            </div>
            <div class="float-right">
                <a class="btn btn-success" href="{{ route('dosen.create') }}"> Create Dosen</a>
            </div>
        </div>
    </div>
 
    @if ($message = Session::get('success'))
    <div class="alert alert-success">
        <p>{{ $message }}</p>
    </div>
    @endif
 
    <table class="table table-bordered">
        <tr>
            <th width="20px" class="text-center">No</th>
            <th>Nama</th>
            <th>NIDN</th>
            <th>Alamat</th>
            <th>Kontak</th>
            <th width="280px"class="text-center">Action</th>
        </tr>
        @foreach ($dosens as $dosen)
        <tr>
            <td class="text-center">{{ ++$i }}</td>
            <td>{{ $dosen->nama }}</td>
            <td>{{ $dosen->nidn }}</td>
            <td>{{ $dosen->alamat }}</td>
            <td>{{ $dosen->kontak }}</td>
            <td class="text-center">
                <form action="{{ route('dosen.destroy',$dosen->id) }}" method="POST">
 
                    <a class="btn btn-info btn-sm" href="{{ route('dosen.show',$dosen->id) }}">Show</a>
 
                    <a class="btn btn-primary btn-sm" href="{{ route('dosen.edit',$dosen->id) }}">Edit</a>
 
                    @csrf
                    @method('DELETE')
 
                    <button type="submit" class="btn btn-danger btn-sm" onclick="return confirm('Apakah Anda yakin ingin menghapus data ini?')">Delete</button>
                </form>
            </td>
        </tr>
        @endforeach
    </table>
 
    {!! $dosens->links() !!}
 
@endsection

resources/views/jadwal/create.blade.php
@extends('app')
 
@section('content')
<div class="row mt-5 mb-5">
    <div class="col-lg-12 margin-tb">
        <div class="float-left">
            <h2>Create Jadwal</h2>
        </div>
        <div class="float-right">
            <a class="btn btn-secondary" href="{{ route('jadwal.index') }}"> Back</a>
        </div>
    </div>
</div>
 
@if ($errors->any())
    <div class="alert alert-danger">
        <strong>Whoops!</strong> There were some problems with your input.<br><br>
        <ul>
            @foreach ($errors->all() as $error)
                <li>{{ $error }}</li>
            @endforeach
        </ul>
    </div>
@endif
 
<form action="{{ route('jadwal.store') }}" method="POST">
    @csrf
 
     <div class="row">
     <div class="col-xs-12 col-sm-12 col-md-12">
     <div class="col-xs-12 col-sm-12 col-md-12">
        <div class="form-group">
            <strong>Mahasiswa:</strong>
                <input type="text" name="mahasiswa_id"  class="form-control" placeholder="Mahasiswa ID">
            </div>
        </div>
        <div class="col-xs-12 col-sm-12 col-md-12">
            <div class="form-group">
                <strong>Dosen:</strong>
                <input type="text" name="dosen_id" class="form-control" placeholder="Dosen ID">
            </div>
        </div>
        <div class="col-xs-12 col-sm-12 col-md-12">
            <div class="form-group">
                <strong>Judul:</strong>
                <input type="text" name="judul"  class="form-control" placeholder="Judul">
            </div>
        </div>
        <div class="col-xs-12 col-sm-12 col-md-12">
            <div class="form-group">
                <strong>Deskripsi:</strong>
                <textarea class="form-control" style="height:150px" name="deskripsi" placeholder="Deskripsi"></textarea>
            </div>
        </div>
        <div class="col-xs-12 col-sm-12 col-md-12">
            <div class="form-group">
                <strong>Awal:</strong>
                <input type="text" name="awal" class="form-control" placeholder="2021-03-22 21:29:11">
            </div>
        </div>
        <div class="col-xs-12 col-sm-12 col-md-12">
            <div class="form-group">
                <strong>Akhir:</strong>
                <input type="text" name="akhir" class="form-control" placeholder="2021-03-22 21:29:11">
            </div>
        </div>
        <div class="col-xs-12 col-sm-12 col-md-12 text-center">
            <button type="submit" class="btn btn-primary">Submit</button>
        </div>
    </div>
 
</form>
@endsection

resources/views/jadwal/edit.blade.php
@extends('app')
 
@section('content')
    <div class="row mt-5 mb-5">
        <div class="col-lg-12 margin-tb">
            <div class="float-left">
                <h2>Edit Jadwal</h2>
            </div>
            <div class="float-right">
                <a class="btn btn-secondary" href="{{ route('jadwal.index') }}"> Back</a>
            </div>
        </div>
    </div>
 
    @if ($errors->any())
        <div class="alert alert-danger">
            <strong>Whoops!</strong> There were some problems with your input.<br><br>
            <ul>
                @foreach ($errors->all() as $error)
                    <li>{{ $error }}</li>
                @endforeach
            </ul>
        </div>
    @endif
 
    <form action="{{ route('jadwal.update',$jadwal->id) }}" method="POST">
        @csrf
        @method('PUT')
 
         <div class="row">
            <div class="col-xs-12 col-sm-12 col-md-12">
                <div class="form-group">
                    <strong>Mahasiswa:</strong>
                    <input type="text" name="mahasiswa_id" value="{{ $jadwal->mahasiswa_id }}" class="form-control" placeholder="Mahasiswa ID">
                </div>
            </div>
            <div class="col-xs-12 col-sm-12 col-md-12">
                <div class="form-group">
                    <strong>Dosen:</strong>
                    <input type="text" name="dosen_id" value="{{ $jadwal->dosen_id }}" class="form-control" placeholder="Dosen ID">
                </div>
            </div>
            <div class="col-xs-12 col-sm-12 col-md-12">
                <div class="form-group">
                    <strong>Judul:</strong>
                    <input type="text" name="judul" value="{{ $jadwal->judul }}" class="form-control" placeholder="Judul">
                </div>
            </div>
            <div class="col-xs-12 col-sm-12 col-md-12">
                <div class="form-group">
                    <strong>Deskripsi:</strong>
                    <textarea class="form-control" style="height:150px" name="deskripsi" placeholder="Content">{{ $jadwal->deskripsi }}</textarea>
                </div>
            </div>
            <div class="col-xs-12 col-sm-12 col-md-12">
                <div class="form-group">
                    <strong>Awal:</strong>
                    <input type="text" name="awal" value="{{ $jadwal->awal }}" class="form-control" placeholder="Awal">
                </div>
            </div>
            <div class="col-xs-12 col-sm-12 col-md-12">
                <div class="form-group">
                    <strong>Akhir:</strong>
                    <input type="text" name="akhir" value="{{ $jadwal->akhir }}" class="form-control" placeholder="Akhir">
                </div>
            </div>
            <div class="col-xs-12 col-sm-12 col-md-12 text-center">
              <button type="submit" class="btn btn-primary">Update</button>
            </div>
        </div>
 
    </form>
@endsection

resources/views/jadwal/index.blade.php
@extends('app')
 
@section('content')
    <div class="row mt-5 mb-5">
        <div class="col-lg-12 margin-tb">
            <div class="float-left">
                <h2>Jadwal</h2>
            </div>
            <div class="float-right">
                <a class="btn btn-success" href="{{ route('jadwal.create') }}"> Create Jadwal</a>
            </div>
        </div>
    </div>
 
    @if ($message = Session::get('success'))
    <div class="alert alert-success">
        <p>{{ $message }}</p>
    </div>
    @endif
 
    <table class="table table-bordered">
        <tr>
            <th width="20px" class="text-center">No</th>
            <th>Nama</th>
            <th>Dosen</th>
            <th>Judul</th>
            <th>Deskripsi</th>
            <th>Awal</th>
            <th>Akhir</th>
            <th width="280px"class="text-center">Action</th>
        </tr>
        @foreach ($jadwals as $jadwal)
        <tr>
            <td class="text-center">{{ ++$i }}</td>
            <td>{{ $jadwal->getMahasiswa->nama }}</td>
            <td>{{ $jadwal->getDosen->nama }}</td>
            <td>{{ $jadwal->judul }}</td>
            <td>{{ $jadwal->deskripsi }}</td>
            <td>{{ $jadwal->awal }}</td>
            <td>{{ $jadwal->akhir }}</td>
            <td class="text-center">
                <form action="{{ route('jadwal.destroy',$jadwal->id) }}" method="POST">
 
                    <a class="btn btn-info btn-sm" href="{{ route('jadwal.show',$jadwal->id) }}">Show</a>
 
                    <a class="btn btn-primary btn-sm" href="{{ route('jadwal.edit',$jadwal->id) }}">Edit</a>
 
                    @csrf
                    @method('DELETE')
 
                    <button type="submit" class="btn btn-danger btn-sm" onclick="return confirm('Apakah Anda yakin ingin menghapus data ini?')">Delete</button>
                </form>
            </td>
        </tr>
        @endforeach
    </table>
 
    {!! $jadwals->links() !!}
 
@endsection

resources/views/mahasiswa/create.blade.php
@extends('app')
 
@section('content')
<div class="row mt-5 mb-5">
    <div class="col-lg-12 margin-tb">
        <div class="float-left">
            <h2>Create Mahasiswa</h2>
        </div>
        <div class="float-right">
            <a class="btn btn-secondary" href="{{ route('mahasiswa.index') }}"> Back</a>
        </div>
    </div>
</div>
 
@if ($errors->any())
    <div class="alert alert-danger">
        <strong>Whoops!</strong> There were some problems with your input.<br><br>
        <ul>
            @foreach ($errors->all() as $error)
                <li>{{ $error }}</li>
            @endforeach
        </ul>
    </div>
@endif
 
<form action="{{ route('mahasiswa.store') }}" method="POST">
    @csrf
 
     <div class="row">
     <div class="col-xs-12 col-sm-12 col-md-12">
        <div class="form-group">
                <strong>Nama:</strong>
                <input type="text" name="nama" class="form-control" placeholder="Nama">
            </div>
        </div>
        <div class="col-xs-12 col-sm-12 col-md-12">
            <div class="form-group">
                <strong>NIM:</strong>
                <input type="text" name="nim" class="form-control" placeholder="NIM">
            </div>
        </div>
        <div class="col-xs-12 col-sm-12 col-md-12">
            <div class="form-group">
                <strong>Tanggal Lahir:</strong>
                <input type="text" name="tanggal_lahir" class="form-control" placeholder="2021-02-02">
            </div>
        </div>
        <div class="col-xs-12 col-sm-12 col-md-12">
            <div class="form-group">
                <strong>Tahun Masuk:</strong>
                <input type="text" name="tahun_masuk" class="form-control" placeholder="Tahun Masuk">
            </div>
        </div>
        <div class="col-xs-12 col-sm-12 col-md-12">
            <div class="form-group">
                <strong>Alamat:</strong>
                <textarea class="form-control" style="height:150px"  placeholder="Alamat" name="alamat">
                </textarea>
            </div>
        </div>
        <div class="col-xs-12 col-sm-12 col-md-12 text-center">
            <button type="submit" class="btn btn-primary">Submit</button>
        </div>
    </div>
 
</form>
@endsection

resources/views/mahasiswa/edit.blade.php
@extends('app')
 
@section('content')
    <div class="row mt-5 mb-5">
        <div class="col-lg-12 margin-tb">
            <div class="float-left">
                <h2>Edit Mahasiswa</h2>
            </div>
            <div class="float-right">
                <a class="btn btn-secondary" href="{{ route('mahasiswa.index') }}"> Back</a>
            </div>
        </div>
    </div>
 
    @if ($errors->any())
        <div class="alert alert-danger">
            <strong>Whoops!</strong> There were some problems with your input.<br><br>
            <ul>
                @foreach ($errors->all() as $error)
                    <li>{{ $error }}</li>
                @endforeach
            </ul>
        </div>
    @endif
 
    <form action="{{ route('mahasiswa.update',$mahasiswa->id) }}" method="POST">
        @csrf
        @method('PUT')
 
         <div class="row">
            <div class="col-xs-12 col-sm-12 col-md-12">
                <div class="form-group">
                    <strong>Nama:</strong>
                    <input type="text" name="nama" value="{{ $mahasiswa->nama }}" class="form-control" placeholder="Nama">
                </div>
            </div>
            <div class="col-xs-12 col-sm-12 col-md-12">
                <div class="form-group">
                    <strong>NIM:</strong>
                    <input type="text" name="nim" value="{{ $mahasiswa->nim }}" class="form-control" placeholder="NIM">
                </div>
            </div>
            <div class="col-xs-12 col-sm-12 col-md-12">
                <div class="form-group">
                    <strong>Tanggal Lahir:</strong>
                    <input type="text" name="tanggal_lahir"  value="{{ $mahasiswa->tanggal_lahir }}"  class="form-control" placeholder="2021-02-02">
                </div>
            </div>
            <div class="col-xs-12 col-sm-12 col-md-12">
                <div class="form-group">
                    <strong>Tahun Masuk:</strong>
                    <input type="text" name="tahun_masuk"  value="{{ $mahasiswa->tahun_masuk }}"  class="form-control" placeholder="Tahun Masuk">
                </div>
            </div>
            <div class="col-xs-12 col-sm-12 col-md-12">
                <div class="form-group">
                    <strong>Alamat:</strong>
                    <textarea class="form-control" style="height:150px" name="alamat" placeholder="Content">{{ $mahasiswa->alamat }}</textarea>
                </div>
            </div>
            <div class="col-xs-12 col-sm-12 col-md-12 text-center">
              <button type="submit" class="btn btn-primary">Update</button>
            </div>
        </div>
 
    </form>
@endsection

resources/views/mahasiswa/index.blade.php
@extends('app')
 
@section('content')
    <div class="row mt-5 mb-5">
        <div class="col-lg-12 margin-tb">
            <div class="float-left">
                <h2>Mahasiswa</h2>
            </div>
            <div class="float-right">
                <a class="btn btn-success" href="{{ route('mahasiswa.create') }}"> Create Mahasiswa</a>
            </div>
        </div>
    </div>
 
    @if ($message = Session::get('success'))
    <div class="alert alert-success">
        <p>{{ $message }}</p>
    </div>
    @endif
 
    <table class="table table-bordered">
        <tr>
            <th width="20px" class="text-center">No</th>
            <th>Nama</th>
            <th>NIM</th>
            <th>Alamat</th>
            <th>Tanggal Lahir</th>
            <th>Tahun Masuk</th>
            <th width="280px"class="text-center">Action</th>
        </tr>
        @foreach ($mahasiswas as $mahasiswa)
        <tr>
            <td class="text-center">{{ ++$i }}</td>
            <td>{{ $mahasiswa->nama }}</td>
            <td>{{ $mahasiswa->nim }}</td>
            <td>{{ $mahasiswa->alamat }}</td>
            <td>{{ $mahasiswa->tanggal_lahir }}</td>
            <td>{{ $mahasiswa->tahun_masuk }}</td>
            <td class="text-center">
                <form action="{{ route('mahasiswa.destroy',$mahasiswa->id) }}" method="POST">
 
                    <a class="btn btn-info btn-sm" href="{{ route('mahasiswa.show',$mahasiswa->id) }}">Show</a>
 
                    <a class="btn btn-primary btn-sm" href="{{ route('mahasiswa.edit',$mahasiswa->id) }}">Edit</a>
 
                    @csrf
                    @method('DELETE')
 
                    <button type="submit" class="btn btn-danger btn-sm" onclick="return confirm('Apakah Anda yakin ingin menghapus data ini?')">Delete</button>
                </form>
            </td>
        </tr>
        @endforeach
    </table>
 
    {!! $mahasiswas->links() !!}
 
@endsection